// Generated by CoffeeScript 1.4.0
var convert_enw_to_bib;

convert_enw_to_bib = function(enw) {
  var author, bib, doi, entries, entry, identifier, journal, number, pages, title, url, volume, year, _i, _len;
  entries = enw.split("\n");
  author = "";
  title = "";
  journal = "";
  year = "";
  number = "";
  pages = "";
  volume = "";
  doi = "";
  url = "";
  identifier = "";
  for (_i = 0, _len = entries.length; _i < _len; _i++) {
    entry = entries[_i];
    if (entry.startsWith("%T ")) {
      title = entry.slice(3);
    } else if (entry.startsWith("%J ")) {
      journal = entry.slice(3);
    } else if (entry.startsWith("%V ")) {
      volume = entry.slice(3);
    } else if (entry.startsWith("%A ")) {
      author += entry.slice(3) + ";";
      if (identifier === "") {
        identifier = entry.slice(3).split(",")[0];
      }
    } else if (entry.startsWith("%R ")) {
      doi = entry.slice(3);
    } else if (entry.startsWith("%D ")) {
      year = entry.slice(3);
    } else if (entry.startsWith("%U ")) {
      url = entry.slice(3);
    } else if (entry.startsWith("%P ")) {
      pages = entry.slice(3);
    }
  }
  identifier += year;
  bib = "@Article{" + identifier + ",\n     Title = {" + title + "},\n     Author = {" + author + "},\n     Journal = {" + journal + "},\n     year = {" + year + "},\n     volume = {" + volume + "},\n     doi = {" + doi + "},\n     url = {" + url + "},\n}";
  return bib;
};
